import request from '@/utils/request'

// 查询ai事件埋点统计列表
/*export function listFastgptEventLogTotal(query) {
  return request({
    url: '/fastGpt/fastgptEventLogTotal/list',
    method: 'get',
    params: query
  })
}*/

export function listFastgptEventLogTotal(data) {
  return request({
    url: '/fastGpt/fastgptEventLogTotal/list',
    method: 'post',
    data: data
  })
}


// 查询ai事件埋点统计详细
export function getFastgptEventLogTotal(id) {
  return request({
    url: '/fastGpt/fastgptEventLogTotal/' + id,
    method: 'get'
  })
}

// 新增ai事件埋点统计
export function addFastgptEventLogTotal(data) {
  return request({
    url: '/fastGpt/fastgptEventLogTotal',
    method: 'post',
    data: data
  })
}

// 修改ai事件埋点统计
export function updateFastgptEventLogTotal(data) {
  return request({
    url: '/fastGpt/fastgptEventLogTotal',
    method: 'put',
    data: data
  })
}

// 删除ai事件埋点统计
export function delFastgptEventLogTotal(id) {
  return request({
    url: '/fastGpt/fastgptEventLogTotal/' + id,
    method: 'delete'
  })
}

// 导出ai事件埋点统计
export function exportFastgptEventLogTotal(query) {
  return request({
    url: '/fastGpt/fastgptEventLogTotal/export',
    method: 'post',
    data: query
  })
}


export function getFastGptRoleAppKeyList() {
  return request({
    url: '/fastGpt/fastgptEventLogTotal/getFastGptRoleAppKeyList',
    method: 'get'
  })
}
